Bug 366891 - f7 rpm can't be uninstalled on f8
f7 rpm can't be uninstalled on f8
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
Fedora Extras Quality Assurance
:
: 375511 390921 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 10:36 EST by Mads Kiilerich
Modified: 2008-05-14 15:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 15:51:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2007-11-05 10:36:33 EST
Description of problem:
the rpm can't be uninstalled on F8, and yum thus can't upgrade from
avahi-0.6.17-1.fc7 to F8. The old avahi will seem to be installed, and there is
no(?) way it can be cleaned up automatically in future upgrades.

See #356871

If it is an F7 problem then I suggest that an F7 update is pushed before F8 is
finally released...

Version-Release number of selected component (if applicable):
avahi-0.6.17-1.fc7

How reproducible:
100% by forcing downgrading of an F8 system.

Steps to Reproduce:
1. rpm -e avahi --nodeps
2. rpm -ihv avahi-0.6.17-1.fc7.i386.rpm --nodeps
3. rpm -e avahi-0.6.17-1.fc7
  
Actual results:
yum upgrade avahi
rpm -q avahi
avahi-0.6.17-1.fc7
avahi-0.6.21-6.fc8

Expected results:
uninstall possible, thus upgrade possible

Additional info:
Comment 1 Lennart Poettering 2007-11-11 13:01:03 EST
*** Bug 375511 has been marked as a duplicate of this bug. ***
Comment 2 Mads Kiilerich 2007-11-11 14:21:08 EST
Note that the fc7 rpm "almost" has been uninstalled during the upgrade to fc8;
it is only the script execution that fails.

The last traces of fc7 rpm can be removed with
rpm -e --noscripts avahi-0.6.17-1.fc7
Comment 3 Lennart Poettering 2007-11-29 18:56:02 EST
*** Bug 390921 has been marked as a duplicate of this bug. ***
Comment 4 Lennart Poettering 2007-12-17 12:58:26 EST
I am really not sure why this happens. Apparently ldconfig is returning non-zero
when deinstalling this package? If so, you are in serious trouble anyway, and I
see no point in hiding this in our postun script.

Our postun script basically just calls ldconfig and /sbin/service. The latter is
protected via ||: so definitely not the cause of this failure. 
Comment 5 Lennart Poettering 2007-12-17 13:39:28 EST
Ok, the old version in 0.6.17 of the postun script lacks the ||:

http://cvs.fedoraproject.org/viewcvs/devel/avahi/avahi.spec?rev=1.80&view=markup

And apparently we're doomed, because we cannot replace the old postun scripts of
already installed packages.
Comment 6 Lennart Poettering 2007-12-17 13:43:30 EST
I am really not sure about this. Apparently the recommended way to fix this is
to ask the user to call "rpm -e --noscripts avahi-0.6.17-1.fc7" which totally sucks.

Comment 7 Mads Kiilerich 2007-12-17 18:16:54 EST
I assume that most/many F7 now has been upgraded to F8 and has this problem.
Making an upgrade work is thus not that important - it's too late. But all the
machines out there with two avahi's should be cleaned up somehow. Last resort
could perhaps be a hack in F9 anaconda...

This issue is NEEDINFO from me, but I don't see what info is needed?
Comment 8 Bug Zapper 2008-05-14 11:00:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.